<?xml version="1.0" encoding="ascii"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
          "DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
  <title>pyxmpp.error</title>
  <link rel="stylesheet" href="epydoc.css" type="text/css" />
  <script type="text/javascript" src="epydoc.js"></script>
</head>

<body bgcolor="white" text="black" link="blue" vlink="#204080"
      alink="#204080">
<!-- ==================== NAVIGATION BAR ==================== -->
<table class="navbar" border="0" width="100%" cellpadding="0"
       bgcolor="#a0c0ff" cellspacing="0">
  <tr valign="middle">
  <!-- Home link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="pyxmpp-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Tree link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Index link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Help link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Project homepage -->
      <th class="navbar" align="right" width="100%">
        <table border="0" cellpadding="0" cellspacing="0">
          <tr><th class="navbar" align="center"
            ><a class="navbar" target="_top" href="http://pyxmpp.jajcus.net/">PyXMPP</a></th>
          </tr></table></th>
  </tr>
</table>
<table width="100%" cellpadding="0" cellspacing="0">
  <tr valign="top">
    <td width="100%">
      <span class="breadcrumbs">
        <a href="pyxmpp-module.html">Package&nbsp;pyxmpp</a> ::
        Module&nbsp;error
      </span>
    </td>
    <td>
      <table cellpadding="0" cellspacing="0">
        <!-- hide/show private -->
        <tr><td align="right"><span class="options">[<a href="javascript:void(0);" class="privatelink"
    onclick="toggle_private();">hide&nbsp;private</a>]</span></td></tr>
      </table>
    </td>
  </tr>
</table>
<!-- ==================== MODULE DESCRIPTION ==================== -->
<h1 class="epydoc">Module error</h1><p class="nomargin-top"><span class="codelink"><a href="pyxmpp.error-pysrc.html">source&nbsp;code</a></span></p>
<p>XMPP error handling.</p>
<dl class="rst-docutils">
<dt>Normative reference:</dt>
<dd><ul class="rst-first rst-last rst-simple">
<li><a class="rst-reference external" href="http://www.ietf.org/rfc/rfc3920.txt" target="_top">RFC 3920</a></li>
<li><a class="rst-reference external" href="http://www.jabber.org/jeps/jep-0086.html" target="_top">JEP 86</a></li>
</ul>
</dd>
</dl>

<!-- ==================== CLASSES ==================== -->
<a name="section-Classes"></a>
<table class="summary" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td colspan="2" class="table-header">
    <table border="0" cellpadding="0" cellspacing="0" width="100%">
      <tr valign="top">
        <td align="left"><span class="table-header">Classes</span></td>
        <td align="right" valign="top"
         ><span class="options">[<a href="#section-Classes"
         class="privatelink" onclick="toggle_private();"
         >hide private</a>]</span></td>
      </tr>
    </table>
  </td>
</tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a href="pyxmpp.error.ErrorNode-class.html" class="summary-name">ErrorNode</a><br />
      Base class for both XMPP stream and stanza errors
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a href="pyxmpp.error.StreamErrorNode-class.html" class="summary-name">StreamErrorNode</a><br />
      Stream error element.
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a href="pyxmpp.error.StanzaErrorNode-class.html" class="summary-name">StanzaErrorNode</a><br />
      Stanza error element.
    </td>
  </tr>
</table>
<!-- ==================== VARIABLES ==================== -->
<a name="section-Variables"></a>
<table class="summary" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td colspan="2" class="table-header">
    <table border="0" cellpadding="0" cellspacing="0" width="100%">
      <tr valign="top">
        <td align="left"><span class="table-header">Variables</span></td>
        <td align="right" valign="top"
         ><span class="options">[<a href="#section-Variables"
         class="privatelink" onclick="toggle_private();"
         >hide private</a>]</span></td>
      </tr>
    </table>
  </td>
</tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a href="pyxmpp.error-module.html#stream_errors" class="summary-name">stream_errors</a> = <code title="{u'bad-format': ('Received XML cannot be processed'),
 u'bad-namespace-prefix': ('Bad namespace prefix'),
 u'conflict': ('Closing stream because of conflicting stream being ope\
ned'),
 u'connection-timeout': ('Connection was idle too long'),
 u'host-gone': ('Hostname is no longer hosted on the server'),
 u'host-unknown': ('Hostname requested is not known to the server'),
 u'improper-addressing': ('Improper addressing'),
..."><code class="variable-group">{</code><code class="variable-quote">u'</code><code class="variable-string">bad-format</code><code class="variable-quote">'</code><code class="variable-op">: </code><code class="variable-group">(</code><code class="variable-quote">'</code><code class="variable-string">Received XML cannot be proce</code><code class="variable-ellipsis">...</code></code>
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a href="pyxmpp.error-module.html#stanza_errors" class="summary-name">stanza_errors</a> = <code title="{u'bad-request': ('Bad request', 'modify', 400),
 u'conflict': ('Named session or resource already exists',
               'cancel',
               409),
 u'feature-not-implemented': ('Feature requested is not implemented',
                              'cancel',
                              501),
 u'forbidden': ('You are forbidden to perform requested action', 'auth\
..."><code class="variable-group">{</code><code class="variable-quote">u'</code><code class="variable-string">bad-request</code><code class="variable-quote">'</code><code class="variable-op">: </code><code class="variable-group">(</code><code class="variable-quote">'</code><code class="variable-string">Bad request</code><code class="variable-quote">'</code><code class="variable-op">, </code><code class="variable-quote">'</code><code class="variable-string">modify</code><code class="variable-quote">'</code><code class="variable-op">, </code>400<code class="variable-ellipsis">...</code></code>
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a href="pyxmpp.error-module.html#legacy_codes" class="summary-name">legacy_codes</a> = <code title="{302: 'redirect',
 400: 'bad-request',
 401: 'not-authorized',
 402: 'payment-required',
 403: 'forbidden',
 404: 'item-not-found',
 405: 'not-allowed',
 406: 'not-acceptable',
..."><code class="variable-group">{</code>302<code class="variable-op">: </code><code class="variable-quote">'</code><code class="variable-string">redirect</code><code class="variable-quote">'</code><code class="variable-op">, </code>400<code class="variable-op">: </code><code class="variable-quote">'</code><code class="variable-string">bad-request</code><code class="variable-quote">'</code><code class="variable-op">, </code>401<code class="variable-op">: </code><code class="variable-quote">'</code><code class="variable-string">not</code><code class="variable-ellipsis">...</code></code>
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a name="STANZA_ERROR_NS"></a><span class="summary-name">STANZA_ERROR_NS</span> = <code title="'urn:ietf:params:xml:ns:xmpp-stanzas'"><code class="variable-quote">'</code><code class="variable-string">urn:ietf:params:xml:ns:xmpp-stanzas</code><code class="variable-quote">'</code></code>
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a name="STREAM_ERROR_NS"></a><span class="summary-name">STREAM_ERROR_NS</span> = <code title="'urn:ietf:params:xml:ns:xmpp-streams'"><code class="variable-quote">'</code><code class="variable-string">urn:ietf:params:xml:ns:xmpp-streams</code><code class="variable-quote">'</code></code>
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a name="PYXMPP_ERROR_NS"></a><span class="summary-name">PYXMPP_ERROR_NS</span> = <code title="'http://pyxmpp.jajcus.net/xmlns/errors'"><code class="variable-quote">'</code><code class="variable-string">http://pyxmpp.jajcus.net/xmlns/errors</code><code class="variable-quote">'</code></code>
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a name="STREAM_NS"></a><span class="summary-name">STREAM_NS</span> = <code title="'http://etherx.jabber.org/streams'"><code class="variable-quote">'</code><code class="variable-string">http://etherx.jabber.org/streams</code><code class="variable-quote">'</code></code>
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a name="__package__"></a><span class="summary-name">__package__</span> = <code title="'pyxmpp'"><code class="variable-quote">'</code><code class="variable-string">pyxmpp</code><code class="variable-quote">'</code></code>
    </td>
  </tr>
</table>
<p class="indent-wrapped-lines"><b>Imports:</b>
  <span title="libxml2">libxml2</span>,
  <a href="pyxmpp.utils-module.html#from_utf8" title="pyxmpp.utils.from_utf8">from_utf8</a>,
  <a href="pyxmpp.utils-module.html#to_utf8" title="pyxmpp.utils.to_utf8">to_utf8</a>,
  <span title="pyxmpp.xmlextra.common_doc">common_doc</span>,
  <span title="pyxmpp.xmlextra.common_root">common_root</span>,
  <span title="pyxmpp.xmlextra.common_ns">common_ns</span>,
  <a href="pyxmpp.xmlextra-module.html" title="pyxmpp.xmlextra">xmlextra</a>,
  <a href="pyxmpp.exceptions.ProtocolError-class.html" title="pyxmpp.exceptions.ProtocolError">ProtocolError</a>
</p><br />
<!-- ==================== VARIABLES DETAILS ==================== -->
<a name="section-VariablesDetails"></a>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td colspan="2" class="table-header">
    <table border="0" cellpadding="0" cellspacing="0" width="100%">
      <tr valign="top">
        <td align="left"><span class="table-header">Variables Details</span></td>
        <td align="right" valign="top"
         ><span class="options">[<a href="#section-VariablesDetails"
         class="privatelink" onclick="toggle_private();"
         >hide private</a>]</span></td>
      </tr>
    </table>
  </td>
</tr>
</table>
<a name="stream_errors"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <h3 class="epydoc">stream_errors</h3>
  
  <dl class="fields">
  </dl>
  <dl class="fields">
    <dt>Value:</dt>
      <dd><table><tr><td><pre class="variable">
<code class="variable-group">{</code><code class="variable-quote">u'</code><code class="variable-string">bad-format</code><code class="variable-quote">'</code><code class="variable-op">: </code><code class="variable-group">(</code><code class="variable-quote">'</code><code class="variable-string">Received XML cannot be processed</code><code class="variable-quote">'</code><code class="variable-group">)</code><code class="variable-op">,</code>
 <code class="variable-quote">u'</code><code class="variable-string">bad-namespace-prefix</code><code class="variable-quote">'</code><code class="variable-op">: </code><code class="variable-group">(</code><code class="variable-quote">'</code><code class="variable-string">Bad namespace prefix</code><code class="variable-quote">'</code><code class="variable-group">)</code><code class="variable-op">,</code>
 <code class="variable-quote">u'</code><code class="variable-string">conflict</code><code class="variable-quote">'</code><code class="variable-op">: </code><code class="variable-group">(</code><code class="variable-quote">'</code><code class="variable-string">Closing stream because of conflicting stream being ope</code><span class="variable-linewrap"><img src="crarr.png" alt="\" /></span>
<code class="variable-string">ned</code><code class="variable-quote">'</code><code class="variable-group">)</code><code class="variable-op">,</code>
 <code class="variable-quote">u'</code><code class="variable-string">connection-timeout</code><code class="variable-quote">'</code><code class="variable-op">: </code><code class="variable-group">(</code><code class="variable-quote">'</code><code class="variable-string">Connection was idle too long</code><code class="variable-quote">'</code><code class="variable-group">)</code><code class="variable-op">,</code>
 <code class="variable-quote">u'</code><code class="variable-string">host-gone</code><code class="variable-quote">'</code><code class="variable-op">: </code><code class="variable-group">(</code><code class="variable-quote">'</code><code class="variable-string">Hostname is no longer hosted on the server</code><code class="variable-quote">'</code><code class="variable-group">)</code><code class="variable-op">,</code>
 <code class="variable-quote">u'</code><code class="variable-string">host-unknown</code><code class="variable-quote">'</code><code class="variable-op">: </code><code class="variable-group">(</code><code class="variable-quote">'</code><code class="variable-string">Hostname requested is not known to the server</code><code class="variable-quote">'</code><code class="variable-group">)</code><code class="variable-op">,</code>
 <code class="variable-quote">u'</code><code class="variable-string">improper-addressing</code><code class="variable-quote">'</code><code class="variable-op">: </code><code class="variable-group">(</code><code class="variable-quote">'</code><code class="variable-string">Improper addressing</code><code class="variable-quote">'</code><code class="variable-group">)</code><code class="variable-op">,</code>
<code class="variable-ellipsis">...</code>
</pre></td></tr></table>
</dd>
  </dl>
</td></tr></table>
</div>
<a name="stanza_errors"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <h3 class="epydoc">stanza_errors</h3>
  
  <dl class="fields">
  </dl>
  <dl class="fields">
    <dt>Value:</dt>
      <dd><table><tr><td><pre class="variable">
<code class="variable-group">{</code><code class="variable-quote">u'</code><code class="variable-string">bad-request</code><code class="variable-quote">'</code><code class="variable-op">: </code><code class="variable-group">(</code><code class="variable-quote">'</code><code class="variable-string">Bad request</code><code class="variable-quote">'</code><code class="variable-op">, </code><code class="variable-quote">'</code><code class="variable-string">modify</code><code class="variable-quote">'</code><code class="variable-op">, </code>400<code class="variable-group">)</code><code class="variable-op">,</code>
 <code class="variable-quote">u'</code><code class="variable-string">conflict</code><code class="variable-quote">'</code><code class="variable-op">: </code><code class="variable-group">(</code><code class="variable-quote">'</code><code class="variable-string">Named session or resource already exists</code><code class="variable-quote">'</code><code class="variable-op">,</code>
               <code class="variable-quote">'</code><code class="variable-string">cancel</code><code class="variable-quote">'</code><code class="variable-op">,</code>
               409<code class="variable-group">)</code><code class="variable-op">,</code>
 <code class="variable-quote">u'</code><code class="variable-string">feature-not-implemented</code><code class="variable-quote">'</code><code class="variable-op">: </code><code class="variable-group">(</code><code class="variable-quote">'</code><code class="variable-string">Feature requested is not implemented</code><code class="variable-quote">'</code><code class="variable-op">,</code>
                              <code class="variable-quote">'</code><code class="variable-string">cancel</code><code class="variable-quote">'</code><code class="variable-op">,</code>
                              501<code class="variable-group">)</code><code class="variable-op">,</code>
 <code class="variable-quote">u'</code><code class="variable-string">forbidden</code><code class="variable-quote">'</code><code class="variable-op">: </code><code class="variable-group">(</code><code class="variable-quote">'</code><code class="variable-string">You are forbidden to perform requested action</code><code class="variable-quote">'</code><code class="variable-op">, </code><code class="variable-quote">'</code><code class="variable-string">auth</code><code class="variable-quote"></code><span class="variable-linewrap"><img src="crarr.png" alt="\" /></span>
<code class="variable-ellipsis">...</code>
</pre></td></tr></table>
</dd>
  </dl>
</td></tr></table>
</div>
<a name="legacy_codes"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <h3 class="epydoc">legacy_codes</h3>
  
  <dl class="fields">
  </dl>
  <dl class="fields">
    <dt>Value:</dt>
      <dd><table><tr><td><pre class="variable">
<code class="variable-group">{</code>302<code class="variable-op">: </code><code class="variable-quote">'</code><code class="variable-string">redirect</code><code class="variable-quote">'</code><code class="variable-op">,</code>
 400<code class="variable-op">: </code><code class="variable-quote">'</code><code class="variable-string">bad-request</code><code class="variable-quote">'</code><code class="variable-op">,</code>
 401<code class="variable-op">: </code><code class="variable-quote">'</code><code class="variable-string">not-authorized</code><code class="variable-quote">'</code><code class="variable-op">,</code>
 402<code class="variable-op">: </code><code class="variable-quote">'</code><code class="variable-string">payment-required</code><code class="variable-quote">'</code><code class="variable-op">,</code>
 403<code class="variable-op">: </code><code class="variable-quote">'</code><code class="variable-string">forbidden</code><code class="variable-quote">'</code><code class="variable-op">,</code>
 404<code class="variable-op">: </code><code class="variable-quote">'</code><code class="variable-string">item-not-found</code><code class="variable-quote">'</code><code class="variable-op">,</code>
 405<code class="variable-op">: </code><code class="variable-quote">'</code><code class="variable-string">not-allowed</code><code class="variable-quote">'</code><code class="variable-op">,</code>
 406<code class="variable-op">: </code><code class="variable-quote">'</code><code class="variable-string">not-acceptable</code><code class="variable-quote">'</code><code class="variable-op">,</code>
<code class="variable-ellipsis">...</code>
</pre></td></tr></table>
</dd>
  </dl>
</td></tr></table>
</div>
<br />
<!-- ==================== NAVIGATION BAR ==================== -->
<table class="navbar" border="0" width="100%" cellpadding="0"
       bgcolor="#a0c0ff" cellspacing="0">
  <tr valign="middle">
  <!-- Home link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="pyxmpp-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Tree link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Index link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Help link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Project homepage -->
      <th class="navbar" align="right" width="100%">
        <table border="0" cellpadding="0" cellspacing="0">
          <tr><th class="navbar" align="center"
            ><a class="navbar" target="_top" href="http://pyxmpp.jajcus.net/">PyXMPP</a></th>
          </tr></table></th>
  </tr>
</table>
<table border="0" cellpadding="0" cellspacing="0" width="100%%">
  <tr>
    <td align="left" class="footer">
    Generated by Epydoc 3.0.1 on Sun May  8 13:34:57 2011
    </td>
    <td align="right" class="footer">
      <a target="mainFrame" href="http://epydoc.sourceforge.net"
        >http://epydoc.sourceforge.net</a>
    </td>
  </tr>
</table>

<script type="text/javascript">
  <!--
  // Private objects are initially displayed (because if
  // javascript is turned off then we want them to be
  // visible); but by default, we want to hide them.  So hide
  // them unless we have a cookie that says to show them.
  checkCookie();
  // -->
</script>
</body>
</html>
